import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class TextureButton here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class TextureButton extends Actor
{
    private GreenfootImage texture;
    /**
     * Act - do whatever the TextureButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if (mouse==null)return;
        if (Greenfoot.mouseClicked(this))
        {
            if (mouse.getButton() == 1)
            {
                List<Pencil> pencils = getWorld().getObjects(Pencil.class);
                if (!pencils.isEmpty()) 
                {
                    for (Pencil pencil : pencils)
                    {
                        pencil.setTexture(texture);
                    }
                }
            }
            else if (mouse.getButton() == 3)
            {
                getWorld().setBackground(texture);
            }
        }
    }    

    public TextureButton(String texture)
    {
        this.texture = new GreenfootImage(texture);
        setImage(new GreenfootImage(texture));
        getImage().scale(50, 50);
    }
}
